This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 847899 - Macbook Pro 2012 video unreadable
Macbook Pro 2012 video unreadable
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 19:35 EDT by joshua
Modified: 2013-07-31 17:53 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:53:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -v output (9.71 KB, text/plain)
2012-08-13 19:35 EDT, joshua
no flags Details
horrible looking video output (2.72 MB, image/jpeg)
2012-08-13 19:41 EDT, joshua
no flags Details

  None (edit)
Description joshua 2012-08-13 19:35:50 EDT
Created attachment 604105 [details]
lspci -v output

Description of problem:

My Macbook Pro 2012 video is unreadable.  Installation worked fine with "noapic", machine boots fine with noapic, but video is terrible and essentially unreadable.



Version-Release number of selected component (if applicable):

F17 x86_64
kernel-3.5.1-1.fc17.x86_64
Comment 1 joshua 2012-08-13 19:36:44 EDT
See http://www.smolts.org/client/show/pub_3da6b501-0cdf-49cb-8af7-d71b36c0b835 for the smolt profile
Comment 2 joshua 2012-08-13 19:41:31 EDT
Created attachment 604106 [details]
horrible looking video output
Comment 3 Ben Skeggs 2012-08-21 01:57:13 EDT
Is this the Retina model?  I'll have access to one shortly, and hope to solve the numerous issues that have been reported with it.
Comment 4 joshua 2012-08-21 10:43:35 EDT
Yes, it is the Retina model.
Comment 5 joshua 2012-10-08 11:52:46 EDT
Any luck on making video work?  Having to plug in an external monitor seems to defeat the purpose of my having a laptop :-(
Comment 6 joshua 2012-10-29 20:18:52 EDT
Update:  as of the 3.6.2-4 kernel update, video works

Is this a Fedora fix, or an upstream change?
Comment 7 joshua 2012-10-29 22:12:56 EDT
The laptop screen works just fine, but when connecting an external display via thunderbolt, Linux doesn't recognize it as a separate monitor... all output is mirrored, at the external monitor's resolution.
Comment 8 Fedora End Of Life 2013-07-03 17:05:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 17:53:25 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.